Draft Move: Difference between revisions

From FreeCAD Documentation
({{Draft Tools navi}} and {{Userdocnavi}})
(Move this section to the bottom. Something needs to be done with this. This information seems more appropriate somewhere else)
Line 29: Line 29:
# Click a first point on the 3D view, or type a [[Draft_Coordinates|coordinate]] and press the {{Button|[[Image:Draft_AddPoint.svg|16px]] [[Draft_AddPoint|add point]]}} button. This serves as the base point of the operation.
# Click a first point on the 3D view, or type a [[Draft_Coordinates|coordinate]] and press the {{Button|[[Image:Draft_AddPoint.svg|16px]] [[Draft_AddPoint|add point]]}} button. This serves as the base point of the operation.
# Click another point on the 3D view, or type a [[Draft_Coordinates|coordinate]] and press the {{Button|[[Image:Draft_AddPoint.svg|16px]] [[Draft_AddPoint|add point]]}} button. This is the new position of the base point.
# Click another point on the 3D view, or type a [[Draft_Coordinates|coordinate]] and press the {{Button|[[Image:Draft_AddPoint.svg|16px]] [[Draft_AddPoint|add point]]}} button. This is the new position of the base point.

== Snapping, Constraining, and more == <!--T:13-->

=== Preferences === <!--T:14-->

<!--T:15-->
Moving is affected by the snapping preferences found in [[Draft Preferences]]. Go to {{MenuCommand|Edit → Preferences → Draft → Grid and snapping}}.

<!--T:18-->
[[File:Pref_Draft_Snapping.png]]

<!--T:19-->
By default the option "Always snap (disable snap mod)" is active, which means that you don't need to press a modifier key to activate the snapping tools. The default keys are:

<!--T:20-->
* {{KEY|Shift}} constraint modifier, to constraint the movement of the cursor along the X, Y, or Z axis.
* {{KEY|Ctrl}} snap modifier, to snap the cursor to specific modes given by [[Draft Snap]].
* {{KEY|Alt}} alternative modifier, to activate an alternative function for the tool.

=== Moving along a specific axis === <!--T:21-->

<!--T:22-->
In order to move along a specific axis, you must first select a working plane containing this axis (see the [[Draft_SelectPlane|selecting working plane]] page for more information).

<!--T:23-->
After selecting the first point to move, start to move roughly in the axis direction and hold the {{KEY|SHIFT}} key. FreeCAD will automatically find which axis you are trying to follow and stick to this axis.

<!--T:24-->
(This tool is especially powerful if you want to align a point to another one, regarding to an axis only).

<!--T:25-->
More on constrain move [[Draft_Constrain|here]]

=== Snapping === <!--T:26-->

<!--T:27-->
If you have a point that you want to directly match on a solid, you can use snapping see the [[Draft_Snap|snapping]] page on how to activate the snap. Select the first point (using snap or not), and then hover to the second point until you see it highlighted.

<!--T:28-->
By default the snapping mode is activated, but you may have it deactivated in the preferences (see preceding section), in that case, you will have to hold the Snapping key {{KEY|Ctrl}} by default.

=== Alt Mode === <!--T:29-->

<!--T:30-->
Alt mode allows you to copy and object instead of moving it only.


==Options== <!--T:6-->
==Options== <!--T:6-->

Revision as of 17:36, 12 November 2018

Draft Move

Menu location
Draft → Move
Workbenches
Draft, Arch
Default shortcut
M V
Introduced in version
0.7
See also
Draft Array, Path Array

Description

The Move tool moves or copies the selected objects from one point to another on the current work plane. If no object is selected, you will be invited to select one.

To produce various copies in different arrangements use Draft Array, Draft PathArray and Draft PointArray.

How to use

  1. Select the objects you wish to move or copy.
  2. Press the Draft Move button, or press M then V keys.
  3. Click a first point on the 3D view, or type a coordinate and press the add point button. This serves as the base point of the operation.
  4. Click another point on the 3D view, or type a coordinate and press the add point button. This is the new position of the base point.

Options

  • Press X, Y or Z after a point to constrain the next point on the given axis.
  • To enter coordinates manually, simply enter the numbers, then press Enter between each X, Y and Z component. You can press the add point button when you have the desired values to insert the point.
  • Press R or click the checkbox to toggle relative mode. If relative mode is on, the coordinates of the next point are relative to the last one; if not, they are absolute, taken from the origin (0,0,0).
  • Press T or click the checkbox to toggle continue mode. If continue mode is on, the Move tool will restart after you finish the operation, allowing you to move or copy the objects again without pressing the tool button again.
  • Press P or click the checkbox to toggle copy mode. If copy mode is on, the Move tool will keep the shape in its original place but will make a copy in the second point.
You can use both T and P to place several copies in sequence. In this case, the duplicated element is the last placed copy.
  • Hold Alt after the first point to also toggle copy mode. Keeping Alt pressed after clicking the second point will allow you to continue placing copies; release Alt to finish the operation and see all copies.
  • Hold Ctrl while moving to force snapping your point to the nearest snap location, independently of the distance.
  • Hold Shift while moving to constrain your next point horizontally or vertically in relation to the last one.
  • Press Esc or the Close button to abort the current command; copies already placed will remain.

Scripting

The Move tool can by used in macros and from the python console by using the following function:

move (FreeCAD.Object or list, Vector, [copymode])
  • Moves the given object or the objects contained in the given list in the direction and distance indicated by the given vector.
  • If copymode is True, the actual objects are not moved, but copies are created instead. Returns the object(s) (or their copies if copymode was True)
  • A list of the moved object (or the copies) is returned

Example:

import FreeCAD,Draft
Draft.move(FreeCAD.ActiveDocument.ActiveObject,FreeCAD.Vector(2,2,0))

Limitations

  • When moving (or changing Placement of) a document object (eg: Pad, Revolution, etc) which is based on a Sketch (from Sketcher/Part Design), you must move the original sketch. If you move the derived object, it will just go back to the position defined by the sketch.